Subject: bug#51550: 29.0.50; Customize Group INS buttons sometimes don't have a left box line

From: Eli Zaretskii <[email-masked]>
Date: Wed, 03 Nov 2021 14:53:46 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Wed, 3 Nov 2021 00:03:00 -0700
> Cc: [email-masked], [email-masked]
> 
> It seems like the entire line is shifted a pixel to the left when using
> :box, but only on the second consecutive line.  I tried experimenting
> with :box 1, :box -1, and I get the same result.
> 
> Are we sure that's not a bug in the display code?

I don't know, the arrangement of faces on that button is complicated,
to say the least.  I don't think I even understand which parts of the
display is the widget-field face applied to.  Can you show the
complete definition of the button face at the first line and the
non-first line?

> In any case, we could revert the commit for emacs-28 and continue investigating
> on master.

Yes, I think we should do that.

Thanks.